﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace NumericUpDown_Round
{
    public class MyViewModel : ViewModelBase
    {
        private double boxValue = 1.23;

        public double BoxValue
        {
            get { return boxValue; }
            set
            {
                var isIncreasing = value > this.boxValue;

                if (isIncreasing)
                {
                    boxValue = (int)value;
                }
                else
                {
                    if (!(this.boxValue == Math.Truncate(boxValue)))
                    {
                        this.boxValue = Math.Truncate(boxValue);
                    }
                    else
                    {
                        this.boxValue = boxValue - 1;
                    }
                }
                OnPropertyChanged("Value");
            }
        }
    }
}
